**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/24.2/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions-on-multiple-documents-or-binders.md

# Retrieve User Actions on Multiple Documents or Binders



Retrieve all available user actions on specific versions of multiple documents or binders.

<Endpoint path="/api/{version}/objects/{documents_or_binders}/lifecycle_actions" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{documents_or_binders}` | Choose to retrieve values for `documents` or `binders`. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `docIds` | The document or binder `docIds` field values from which to retrieve the available user actions. Include a comma-separated list of document or binder IDs and major and minor version numbers in the format `{doc_id:major_version:minor_version}`. For example, `22:0:1`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "docIds=22:0:1,21:1:0,20:1:0" \
https://myvault.veevavault.com/api/v13.0/objects/documents/lifecycle_actions

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseMessage": "Success",
    "lifecycle_actions__v": [
        {
            "name__v": "make_obsolete__c",
            "label__v": "Make Obsolete",
            "lifecycle_action_type__v": "stateChange",
            "lifecycle__v": "general_lifecycle__c",
            "state__v": "approved__c",
            "entry_requirements__v": "https://myvault.veevavault.com/api/v13.0/objects/documents/lifecycle_actions/make_obsolete__c/entry_requirements?lifecycle=general_lifecycle__c&state=approved__c"
        },
        {
            "name__v": "approve__c",
            "label__v": "Approve",
            "lifecycle_action_type__v": "stateChange",
            "lifecycle__v": "general_lifecycle__c",
            "state__v": "draft__c",
            "entry_requirements__v": "https://myvault.veevavault.com/api/v13.0/objects/documents/lifecycle_actions/approve__c/entry_requirements?lifecycle=general_lifecycle__c&state=draft__c"
        }
    ]
}

```
</CodeExample>

## Response Details {#response-details}

The response lists all available lifecycle actions (`lifecycle_actions__v`) that can be initiated on the specified versions of multiple documents or binders.

<FieldTable>
| Name | Description |
| --- | --- |
| `name__v` | The lifecycle action name (consumed by the API). These vary from Vault to Vault and may be text, numeric, or alphanumeric values. |
| `label__v` | The lifecycle action label. This is the "User Action" label seen in the UI. |
| `lifecycle_action_type__v` | The `workflow` (legacy) and `stateChange` types are the most commonly used and are available in all Vaults. Others may exist. |
| `lifecycle__v` | The document or binder lifecycle the action belongs to. For example, `general_lifecycle__c`. |
| `state__v` | The state of the document or binder. |
| `entry_requirements__v` | The endpoint to retrieve the entry requirements for each lifecycle action. If no entry requirements exist, the endpoint returns an empty list. |
</FieldTable>
Note that lifecycle actions are not returned for documents or binders which are currently in an active workflow.



---

**Previous:** [Retrieve User Actions](/sitevault/vault-api/api-reference/24.2/document-lifecycle-workflows/document-binder-user-actions/retrieve-user-actions)  
**Next:** [Retrieve Entry Criteria](/sitevault/vault-api/api-reference/24.2/document-lifecycle-workflows/document-binder-user-actions/retrieve-entry-criteria)